import { Observable } from 'rxjs';
import { Connection } from '@adminide-stack/extension-api';
import { IExtensionHostClient } from '@adminide-stack/extension-api';
/**
 * Creates a client to communicate with an extension host.
 *
 * @param services
 * @param extensionHostConnection An observable that emits the connection the extension host each time a new
 * connection is established.
 */
export declare function createExtensionHostClient(services: any, extensionHostConnection: Observable<Connection>): IExtensionHostClient;
//# sourceMappingURL=extension-client.d.ts.map